TestModuleConfig (Struts Core 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class TestModuleConfig

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.config.TestModuleConfig

All Implemented Interfaces:
  junit.framework.Test

    public class TestModuleConfig

extends junit.framework.TestCase

Unit tests for the `org.apache.struts.config` package.

Version:
  $Rev: 471754 $ $Date: 2005-03-01 20:26:14 -0500 (Tue, 01 Mar 2005) $

Field Summary
`protected ModuleConfig` | `config` The ModuleConfig we are testing.

Constructor Summary
`TestModuleConfig(String name)` Construct a new instance of this test case.

Method Summary
`void` | `setUp()` Set up instance variables required by this test case.
`static junit.framework.Test` | `suite()` Return the tests included in this test suite.
`void` | `tearDown()` Tear down instance variables required by this test case.
`void` | `testCustomMappingParse()` Tests a struts-config.xml that contains a custom mapping and property.
`void` | `testCustomMappingParse1_1()` Tests a struts-config.xml that contains a custom mapping and property.
`void` | `testParse()` Test parsing of a struts-config.xml file.
`void` | `testParse1_1()`
`void` | `testParseBase(String publicId, String entityURL, String strutsConfig)`
`void` | `testPreserveActionMappingsOrder()` Test order of action mappings defined perserved.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### config

    protected ModuleConfig config

  The ModuleConfig we are testing.

Constructor Detail

### TestModuleConfig

    public TestModuleConfig(String name)

  Construct a new instance of this test case.

  Parameters:
    `name` - Name of the test case

Method Detail

### setUp

    public void setUp()

  Set up instance variables required by this test case.

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### suite

    public static junit.framework.Test suite()

  Return the tests included in this test suite.

### tearDown

    public void tearDown()

  Tear down instance variables required by this test case.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### testParse

    public void testParse()

  Test parsing of a struts-config.xml file.

### testParse1_1

    public void testParse1_1()

### testParseBase

    public void testParseBase(String publicId,
                              String entityURL,
                              String strutsConfig)

### testCustomMappingParse

    public void testCustomMappingParse()

  Tests a struts-config.xml that contains a custom mapping and property.

### testCustomMappingParse1_1

    public void testCustomMappingParse1_1()

  Tests a struts-config.xml that contains a custom mapping and property.

### testPreserveActionMappingsOrder

    public void testPreserveActionMappingsOrder()

  Test order of action mappings defined perserved.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.